Bug 453702 - Can not create bundles when brush name has “.”
Summary: Can not create bundles when brush name has “.”
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Resource Management (show other bugs)
Version: 5.0.6
Platform: Other Other
: NOR normal
Target Milestone: ---
Assignee: Halla Rempt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-12 14:30 UTC by thetwo
Modified: 2022-07-13 06:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
pic (7.86 KB, image/png)
2022-05-12 14:30 UTC, thetwo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thetwo 2022-05-12 14:30:14 UTC
Created attachment 148765 [details]
pic

SUMMARY
As shown in the figure, if I have multiple brushes named

“test1.1”

"test1.2"

“test1.3”

Krita will treat them as "test1" and export fails because they have the same name.The content after the dot is ignored
Comment 1 Bug Janitor Service 2022-07-12 14:17:22 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/1517
Comment 2 Halla Rempt 2022-07-12 18:16:23 UTC
Git commit 3ba6d0d9bcfb24d0d8dc5669ed115e1aa8378897 by Halla Rempt.
Committed on 12/07/2022 at 18:16.
Pushed by rempt into branch 'master'.

Use completeBaseName instad of baseName

Users are free to add as many dots as they want to the resource's
filename.

M  +2    -2    plugins/extensions/resourcemanager/dlg_create_bundle.cpp

https://invent.kde.org/graphics/krita/commit/3ba6d0d9bcfb24d0d8dc5669ed115e1aa8378897
Comment 3 Halla Rempt 2022-07-13 06:54:39 UTC
Git commit 8b6581fc74aa12bd7e6f5247aee33f77aeee5a3f by Halla Rempt.
Committed on 13/07/2022 at 06:54.
Pushed by rempt into branch 'krita/5.1'.

Use completeBaseName instad of baseName

Users are free to add as many dots as they want to the resource's
filename.
(cherry picked from commit 3ba6d0d9bcfb24d0d8dc5669ed115e1aa8378897)

M  +2    -2    plugins/extensions/resourcemanager/dlg_create_bundle.cpp

https://invent.kde.org/graphics/krita/commit/8b6581fc74aa12bd7e6f5247aee33f77aeee5a3f